# See https://pre-commit.com for more information
# See https://pre-commit.com/hooks.html for more hooks
default_language_version:
  python: python3

repos:
  - repo: https://github.com/pre-commit/pre-commit-hooks
    rev: v4.4.0
    hooks:
      - id: trailing-whitespace
      - id: end-of-file-fixer
      - id: check-added-large-files

  - repo: local
    hooks:
    - id: helm-docs
      name: helm-docs
      language: docker_image
      entry: jnorwood/helm-docs:latest --chart-search-root=lbap --output-file=../README.md --template-files=../README.md.gotmpl
      always_run: true
      pass_filenames: false

    - id: helm-lint
      name: helm-lint
      language: docker_image
      entry: alpine/helm:latest lint lbap/
      always_run: true
      pass_filenames: false
